Page MenuHomePhabricator

Efl.Ui.Popup.Anchor: Added initial code for Efl.Ui.Popup.Anchor
ClosedPublic

Authored by Blackmole on Aug 23 2017, 11:03 PM.

Details

Summary

Added initial code for Efl.Ui.Popup.Anchor.
It support adding anchor object to popup.

Test Plan
  1. run elementary_test -to efluipopupanchor

Diff Detail

Repository
rEFL core/efl
Branch
devs/jaehyun/popup
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 4544
Build 4609: arc lint + arc unit
Blackmole created this revision.Aug 23 2017, 11:03 PM

@Blackmole
Please apply priority for align

Blackmole updated this revision to Diff 12181.Sep 5 2017, 2:51 AM

add align priority

Blackmole updated this revision to Diff 12182.Sep 5 2017, 3:02 AM

rebase this patch

Blackmole updated this revision to Diff 12192.Sep 5 2017, 10:24 PM

apply "remove efl_ui_popup_position_set"

Blackmole updated this revision to Diff 12281.EditedSep 18 2017, 4:06 AM

update priority policy

Blackmole updated this revision to Diff 12298.Sep 18 2017, 11:49 PM

add recalculate popup size before applying anchor align

Jaehyun_Cho requested changes to this revision.Sep 18 2017, 11:59 PM

Please check the comments

src/lib/elementary/efl_ui_popup_anchor.c
286

anchor event callbacks should be removed here.

381

anchor event callbacks should be removed here.

src/lib/elementary/efl_ui_popup_anchor.eo
8 ↗(On Diff #12281)

Please describe more about how popup works related to anchor object.
e.g. Anchor popup follows the anchor object. If anchor object is moved to a new position, the anchor popup moves to the new position of the anchor object.

11 ↗(On Diff #12281)

Please describe more about how popup works related to anchor object.
e.g. Anchor popup follows the anchor object. If anchor object is moved to a new position, the anchor popup moves to the new position of the anchor object.

14 ↗(On Diff #12281)

Please describe more about how popup works related to anchor object.
e.g. Anchor popup follows the anchor object. If anchor object is moved to a new position, the anchor popup moves to the new position of the anchor object.

This revision now requires changes to proceed.Sep 18 2017, 11:59 PM
Blackmole updated this revision to Diff 12303.Sep 19 2017, 1:08 AM
Blackmole marked 2 inline comments as done.

add parent resizing case and anchor object description

Blackmole marked 4 inline comments as done.Sep 19 2017, 1:09 AM
Jaehyun_Cho requested changes to this revision.Sep 19 2017, 2:07 AM

Please check the comments.

src/lib/elementary/efl_ui_popup_anchor.c
26

Please use Evas_Coord_Size instead of Evas_Coord_Point.

Related to this change, please change popup_size.x to popup_size.w and popup_size.y to popup_size_h.

27

Please use Evas_Coord_Size instead of Evas_Coord_Point.

Related to this change, please change parent_size.x to parent_size.w and parent_size.y to parent_size_h.

81

This case is not handled.

Instead of this, please use as follows.

default:
break;

85

Please keep the coding convention. (i.e. use parentheses)

if ((pos.x >= 0) && ((pos.x + popup_size.w) <= parent_size.w) && ...

89

How about using "goto" instead of "break"?

e.g. goto end;
end: is written in line 269.

95

I think that EFL_UI_POPUP_ALIGN_NONE can be checked before this loop.

113

Please keep the coding convention. (i.e. use parentheses)

117

Please keep the coding convention. (i.e. use parentheses)

119

Please keep the coding convention. (i.e. use parentheses)

128

Please keep the coding convention. (i.e. use parentheses)

132

Please keep the coding convention. (i.e. use parentheses)

134

Please keep the coding convention. (i.e. use parentheses)

143

Please keep the coding convention. (i.e. use parentheses)

147

Please keep the coding convention. (i.e. use parentheses)

149

Please keep the coding convention. (i.e. use parentheses)

158

Please keep the coding convention. (i.e. use parentheses)

162

Please keep the coding convention. (i.e. use parentheses)

164

Please keep the coding convention. (i.e. use parentheses)

177

Please keep the coding convention. (i.e. use parentheses)

179

Please keep the coding convention. (i.e. use parentheses)

181

Please keep the coding convention. (i.e. use parentheses)

188

This case is not handled.

Instead of this, please use as follows.

default:
break;

241

This case is not handled.

Instead of this, please use as follows.

default:
break;

246

Should we change the popup size?

This revision now requires changes to proceed.Sep 19 2017, 2:07 AM
Blackmole updated this revision to Diff 12310.Sep 19 2017, 3:16 AM
Blackmole marked 24 inline comments as done.

follow comments

Please change the comments.

src/lib/elementary/efl_ui_popup_anchor.c
95

Please change the comments

195

Please change the comments

Blackmole updated this revision to Diff 12321.Sep 19 2017, 11:38 PM
Blackmole marked 2 inline comments as done.

change comment

Blackmole updated this revision to Diff 12322.Sep 20 2017, 1:06 AM

change comment

Jaehyun_Cho accepted this revision.Sep 20 2017, 3:31 AM
This revision is now accepted and ready to land.Sep 20 2017, 3:31 AM
Blackmole updated this revision to Diff 12335.Sep 20 2017, 11:34 PM

Update align calculate logic

Jaehyun_Cho closed this revision.Nov 8 2017, 4:09 AM